<template>
  <div>
    <!-- 使用 iframe 加载 PDF 文件 -->
    <iframe
      :src="file"
      width="100%"
      height="800px"
      style="border: none;"
    ></iframe>
  </div>
</template>

<script>
export default {
  data() {
    return {
      file: null, // PDF 文件的 URL
    };
  },
  created() {
    // 从路由 query 参数中获取 PDF 文件 URL
    this.file = this.$route.query.file;
  },
};
</script>

<style scoped>
/* 添加一些样式以适应你的需求 */
iframe {
  width: 100%;
  height: 100vh; /* 使 iframe 占满整个视口高度 */
  border: none; /* 去除 iframe 的边框 */
}
</style>
